Zum Hauptinhalt springen
POST
/
webhooks-journal
/
subscriptions
/
2026-03
Abonnement erstellen
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptionType": "OBJECT",
  "portalId": 123,
  "actions": [
    "CREATE"
  ],
  "objectTypeId": "<string>",
  "objectIds": [
    123
  ],
  "properties": [
    "<string>"
  ]
}
'
{
  "actions": [
    "CREATE"
  ],
  "appId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": 123,
  "objectTypeId": "<string>",
  "subscriptionType": "APP_LIFECYCLE_EVENT",
  "updatedAt": "2023-11-07T05:31:56Z",
  "actionOverrides": {},
  "associatedObjectTypeIds": [
    "<string>"
  ],
  "createdBy": 123,
  "deletedAt": "2023-11-07T05:31:56Z",
  "listIds": [
    123
  ],
  "objectIds": [
    123
  ],
  "portalId": 123,
  "properties": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
subscriptionType
enum<string>
Standard:OBJECT
erforderlich
Verfügbare Optionen:
OBJECT,
ASSOCIATION,
EVENT,
APP_LIFECYCLE_EVENT,
LIST_MEMBERSHIP,
GDPR_PRIVACY_DELETION
portalId
integer<int64>
erforderlich
actions
enum<string>[]
erforderlich
Verfügbare Optionen:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectTypeId
string
erforderlich
objectIds
integer<int64>[]
erforderlich
properties
string[]
erforderlich

Antwort

successful operation

actions
enum<string>[]
erforderlich

Eine Liste von Aktionen, die das Abonnement auslösen. Mögliche Werte sind „CREATE“, „UPDATE“, „DELETE“, „MERGE“, „RESTORE“, „ASSOCIATION_ADDED“, „ASSOCIATION_REMOVED“, „SNAPSHOT“, „APP_INSTALL“, „APP_UNINSTALL“, „ADDED_TO_LIST“, „REMOVED_FROM_LIST“ und „GDPR_DELETE“.

Verfügbare Optionen:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
erforderlich

Die eindeutige ID für die App, die mit dem Abonnement verknüpft ist. Es handelt sich um eine Ganzzahl im int64-Format.

createdAt
string<date-time>
erforderlich

Der Zeitpunkt (Datum und Uhrzeit), zu dem das Abonnement im ISO-8601-Format erstellt wurde.

id
integer<int64>
erforderlich

Die eindeutige ID für das Abonnement. Es handelt sich um eine Ganzzahl im int64-Format.

objectTypeId
string
erforderlich

Die ID für den Objekttyp, der mit dem Abonnement verknüpft ist. Es handelt sich um eine Zeichenfolge.

subscriptionType
enum<string>
erforderlich

Der Abonnementtyp. Folgende Typen sind zulässig: „OBJECT“, „ASSOCIATION“, „EVENT“, „APP_LIFECYCLE_EVENT“, „LIST_MEMBERSHIP“ oder „GDPR_PRIVACY_DELETION“.

Verfügbare Optionen:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
erforderlich

Der Zeitpunkt (Datum und Uhrzeit), zu dem das Abonnement im ISO-8601-Format zuletzt aktualisiert wurde.

actionOverrides
object

Ein Objekt, das Aktionsüberschreibungen enthält, wobei jeder Schlüssel eine Aktion und der Wert ein ActionOverrideRequest-Objekt ist.

associatedObjectTypeIds
string[]

Eine Liste der IDs der zugeordneten Objekttypen. Jede ID ist eine Zeichenfolge.

createdBy
integer<int64>

Die ID des Benutzers, der das Abonnement erstellt hat. Es handelt sich um eine Ganzzahl im int64-Format.

deletedAt
string<date-time>

Der Zeitpunkt (Datum und Uhrzeit), zu dem das Abonnement im ISO-8601-Format gelöscht wurde, falls zutreffend.

listIds
integer<int64>[]

Eine Liste der Listen-IDs, die dem Abonnement zugeordnet sind. Jede ID ist eine Ganzzahl im int64-Format.

objectIds
integer<int64>[]

Eine Liste der Objekt-IDs, die dem Abonnement zugeordnet sind. Jede ID ist eine Ganzzahl im int64-Format.

portalId
integer<int64>

Die eindeutige ID für das Portal, das mit dem Abonnement verknüpft ist. Es handelt sich um eine Ganzzahl im int64-Format.

properties
string[]

Eine Liste der Eigenschaftsnamen, die dem Abonnement zugeordnet sind. Jede Eigenschaft ist eine Zeichenfolge.

Last modified on May 11, 2026